Class | SOAP::FaultError
In: | soap/soap.rb
Parent: | Error

### Methods

new to_s

### Attributes

detail | [RW] |
faultactor | [R] |
faultcode | [R] |
faultstring | [R] |

### Public Class methods

new(fault)

[Source]

    # File soap/soap.rb, line 89
      def initialize(fault)
        @faultcode = fault.faultcode
        @faultstring = fault.faultstring
        @faultactor = fault.faultactor
        @detail = fault.detail
        super(self.to_s)
      end

### Public Instance methods

to_s()

[Source]

    # File soap/soap.rb, line 97
      def to_s
        str = nil
        if @faultstring and @faultstring.respond_to?('data')
          str = @faultstring.data
        end
        str || '(No faultstring)'
      end

[Validate]